//----------------------------------------------------------
//  LED_w_Serial  blinks LED and talks to the Serial monitor
//  Hardware setup:
//  Wire an LED through a 330 ohm resistor from pin 7 to GND
//----------------------------------------------------------

int ledPin = 7;   // assign number variable to name "ledPin"
void setup() {
  pinMode(ledPin, OUTPUT);   // set LED pin as an output
  Serial.begin(9600);
}

void loop() {
  digitalWrite(ledPin, HIGH);  // Turn LED on
  Serial.println("I'm turned on!");
  delay(1000);               // Delay 1 second

  digitalWrite(ledPin, LOW); // Turn LED off
  Serial.println("I'm turned off!");
  delay(1000);               // Delay 1 second
}